﻿import flash.external.ExternalInterface;

class Test
{
	/**
	 * Lancé par mtasc
	 */
	static function main():Void
	{
		Stage.scaleMode = "noScale";
		Stage.align = "TL";
		_root.main = new Test(_root);
		
		// On ajoute une méthode appelable par Javascript
		ExternalInterface.addCallback("sendMessageToFlash", _root.main, _root.main.getMessageFromJavascript);
	}
	
	private var _container:MovieClip;
	private var _log:TextField;
	private var _command:TextField;
	/**
	 * Constructeur
	 * 
	 * @param pRoot La racine
	 */	 	
	public function Test(pRoot:MovieClip)
	{
		_container = pRoot;
		
		// On vérifie que ExternalInterface est disponible
		var interfaceIsAvailable:Boolean = ExternalInterface.available;
		
		// Création du champ de texte des logs
		_container.createTextField("log_txt", 
										  _container.getNextHighestDepth(), 
										  10, 50, 
										  350, 200);
		_log = _container.log_txt;
		_log.border = true;
		_log.text = "ExternalInterval available : "+interfaceIsAvailable+"\n";
		
		// Création du champ de texte pour les messages à envoyer
		_container.createTextField("command_txt", 
										  _container.getNextHighestDepth(), 
										  10, 10, 
										  220, 20);
		_command = _container.command_txt;
		_command.border = true;
		_command.type = "input";
		
		// Création du bouton SEND
		var button:MovieClip = _container.createEmptyMovieClip("button_btn", _container.getNextHighestDepth());
		button.lineStyle(1, 0);
		button.beginFill(0xcccccc);
		button.lineTo(100, 0);
		button.lineTo(100, 20);
		button.lineTo(0, 20);
		button.endFill();
		button._x = 240;
		button._y = 10;
		button.createTextField("label_txt", 
							   button.getNextHighestDepth(), 
							   0, 0, 
							   100, 20);
		button.label_txt.selectable = false;
		button.label_txt.text = "Send";
		button.label_txt.autoSize = "center";
		button.mainClass = this;
		button.onRelease = function()
		{
			this.mainClass.sendMessageToJavascript.apply(this.mainClass);
		};
	}
	
	
	public function getMessageFromJavascript(pMessage:String)
	{
		_log.text += "From Javascript : "+pMessage+"\n";
	}
	public function sendMessageToJavascript()
	{
		ExternalInterface.call("getMessageFromFlash", _command.text);
	}

	/*=================== FIN = CONTROLES JAVASCRIPT = FIN ===================*/
	/*========================================================================*/
}
